package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.SymptomSearchDTO;
import com.diagbot.entity.Symptom;
import com.diagbot.entity.SymptomWrapper;
import com.diagbot.mapper.SymptomMapper;
import com.diagbot.service.SymptomService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
@Service
public class SymptomServiceImpl extends ServiceImpl<SymptomMapper, Symptom> implements SymptomService {

    @Override
    public List<SymptomWrapper> getByPartIds(Map map) {
        return baseMapper.getByPartIds(map);
    }

    @Override
    public List<Symptom> getUsual(Map map) {
        return baseMapper.getUsual(map);
    }

    @Override
    public List<SymptomSearchDTO> search(Map map) {
        return baseMapper.search(map);
    }
}
